# Lines configured by zsh-newuser-install
HISTFILE=~/.histfile
HISTSIZE=1000
SAVEHIST=1000
setopt extendedglob
unsetopt beep
bindkey -v
# End of lines configured by zsh-newuser-install
# The following lines were added by compinstall
zstyle :compinstall filename '/home/andreas/.zshrc'

autoload -Uz compinit
compinit
# End of lines added by compinstall

bindkey -v '^?' backward-delete-char

autoload -Uz vcs_info
precmd() { vcs_info }
zstyle ':vcs_info:git:*' formats '%b '
setopt PROMPT_SUBST
PROMPT='%F{blue}%~%f %F{red}${vcs_info_msg_0_}%f$ '

source /usr/share/fzf/key-bindings.zsh

alias ssh='kitty +kitten ssh'

alias ls='ls --color=auto'
alias grep='grep --color=auto'
alias ll='ls -alF'

export PATH=$PATH:/home/andreas/.local/bin
export EDITOR=nvim

alias get-idf='. $HOME/git/esp-idf/export.sh'

alias ic='z ~/.config/i3'
alias nc='z ~/.config/nvim'
alias ezc='nvim ~/.zshrc'

alias ait='z ~/Documents/kit/AIT && clear'
alias kit='z ~/Documents/kit && clear'
alias eml='z ~/Documents/kit/EMLLAB/emllab-challenge && . venv/bin/activate && clear'
alias let='z ~/git/ba-letter && clear'

alias hyp='z ~/git/HyperLink_SW && clear'

eval "$(zoxide init zsh)"

#source /usr/share/git/completion/git-completion.zsh
#
#eval "$(thefuck --alias)"
#
#export VISUAL=nvim
#export EDITOR="$VISUAL"
#
#function pym {
#    python -m $@
#}
#
#function _pym_complete {
#
#    local executable current previous options
#    executable=${COMP_WORDS[0]}
#    current="${COMP_WORDS[COMP_CWORD]}"
#    previous="${COMP_WORDS[COMP_CWORD-1]}"
#
#    COMPREPLY=()
#    if [[ ( "$executable" == python* && "$previous" == "-m" ) ||
#          ( "$executable" == pym     && ! "$current" == -* ) ]]; then
#
#        options="`python <<EOF
#import os
#import pkgutil
#import sys
#current = '$current'
#if '.' in current:
#    package_name = current.rsplit('.', 1)[0]
#    try:
#        package = __import__(package_name, fromlist=['__name__'])
#    except:
#        exit()
#else:
#    package_name = ''
#    package = None
#def walk_packages(paths, match, prefix=''):
#    for loader, name, ispkg in pkgutil.iter_modules(paths, prefix):
#        if not name.startswith(match):
#            continue
#        yield loader, name, ispkg
#        if ispkg:
#            for x in walk_packages([os.path.join(loader.path, name.split('.')[-1])], match, name + '.'):
#                yield x
#for loader, name, ispkg in walk_packages(
#    package and getattr(package, '__path__', ()),
#    current,
#    package_name and (package_name + '.'),
#):
#    if ispkg:
#        continue
#    if name.endswith('.__main__'):
#        print(name.rsplit('.', 1)[0])
#    else:
#        print(name)
#EOF
#        `"
#        COMPREPLY=( $(compgen -W "${options}") )
#        return 0
#    fi
#}
#
#complete -F _pym_complete -o nospace -o bashdefault -o default pym
#complete -F _pym_complete -o nospace -o bashdefault -o default python
#
